{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>
            {% block title %}
            {% endblock title %}
        </title>
        <link rel="stylesheet" href="{% static "css/recipes.css" %}">
    </head>
    <body>

            <header>
                <div>
                    <nav>
                        <a href="{% url 'account_list' %}">Accounts</a>
                        <a href="{% url 'category_list' %}">Categories</a>
                        <a href="{% url 'create_receipt' %}">Create Receipt</a>
                        <a href="{% url 'create_category' %}">Create Category</a>
                        <a href="{% url 'signup' %}">Sign Up</a>
                        <a href="{% url 'login' %}">Login</a>
                        {% if user.is_authenticated %}
                            Hello, {{ user.username }}
                            <a href="{% url 'logout' %}">Logout</a>
                        {% endif %}
                    </nav>
                </div>
            </header>
            {% block content %}
            {% endblock content %}

    </body>
</html>
